Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms
Class TransactedSingleResourceJmsMessageReceiver

    java.lang.Object
      org.mule.transport.AbstractTransportMessageHandler
          org.mule.transport.AbstractMessageReceiver
              org.mule.transport.jms.TransactedSingleResourceJmsMessageReceiver

All Implemented Interfaces:
  MessageListener, Disposable, Initialisable, Lifecycle, LifecycleStateEnabled, Startable, Stoppable, MessageSource, Connectable, MessageReceiver

    public class TransactedSingleResourceJmsMessageReceiver

extends AbstractMessageReceiver
implements MessageListener

Nested Class Summary
`protected class` | `TransactedSingleResourceJmsMessageReceiver.MessageReceiverWorker`

Field Summary
`protected JmsConnector` | `connector`
`protected MessageConsumer` | `consumer`
`protected boolean` | `receiveMessagesInTransaction` determines whether messages will be received in a transaction template
`protected RedeliveryHandler` | `redeliveryHandler`
`protected Session` | `session`
`protected boolean` | `startOnConnect`
`protected boolean` | `useMultipleReceivers` determines whether Multiple receivers are created to improve throughput

Fields inherited from class org.mule.transport.AbstractMessageReceiver
`defaultInboundTransformers, defaultResponseTransformers, flowConstruct, listener, receiverKey`

Fields inherited from class org.mule.transport.AbstractTransportMessageHandler
`connected, connecting, endpoint, lifecycleManager, logger, muleMessageFactory, retryTemplate`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`TransactedSingleResourceJmsMessageReceiver(Connector connector, FlowConstruct flowConstruct, InboundEndpoint endpoint)`

Method Summary
`protected void` | `closeConsumer()`
`protected void` | `doConnect()`
`void` | `doDisconnect()`
`protected void` | `doDispose()`
`protected void` | `doStart()`
`protected void` | `doStop()`
`void` | `onMessage(Message message)`

Methods inherited from class org.mule.transport.AbstractMessageReceiver
`applyInboundTransformers, applyResponseTransformers, createLifecycleManager, createMuleEvent, getConnectEventId, getConnectionDescription, getEndpoint, getEndpointURI, getFlowConstruct, getReceiverKey, getWorkManager, handleUnacceptedFilter, initialise, routeMessage, routeMessage, routeMessage, routeMessage, setEndpoint, setListener, setReceiverKey, toString`

Methods inherited from class org.mule.transport.AbstractTransportMessageHandler
`activate, callDoStartWhenItIsConnected, connect, connectAndThenStart, createMuleMessage, createMuleMessage, createMuleMessage, createMuleMessageFactory, createNullMuleMessage, disconnect, dispose, disposeAndLogException, doInitialise, getConnectEventId, getConnector, getLifecycleState, initializeMessageFactory, initializeRetryPolicy, isConnected, isConnecting, isDoStartMustFollowDoConnect, isDoThreading, isStarted, passivate, setEndpoint, start, stop, validate, validateConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.transport.MessageReceiver
`createMuleMessage, createMuleMessage`

Methods inherited from interface org.mule.api.transport.Connectable
`connect, disconnect, isConnected, validateConnection`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Field Detail

### connector

    protected JmsConnector connector

### redeliveryHandler

    protected RedeliveryHandler redeliveryHandler

### consumer

    protected MessageConsumer consumer

### session

    protected Session session

### startOnConnect

    protected boolean startOnConnect

### receiveMessagesInTransaction

    protected boolean receiveMessagesInTransaction

  determines whether messages will be received in a transaction template

### useMultipleReceivers

    protected boolean useMultipleReceivers

  determines whether Multiple receivers are created to improve throughput

Constructor Detail

### TransactedSingleResourceJmsMessageReceiver

    public TransactedSingleResourceJmsMessageReceiver(Connector connector,
                                                      FlowConstruct flowConstruct,
                                                      InboundEndpoint endpoint)
                                               throws CreateException

Throws:
  `CreateException`

Method Detail

### doDispose

    protected void doDispose()

  Overrides:
    `doDispose` in class `AbstractMessageReceiver`

### doConnect

    protected void doConnect()
                      throws Exception

  Overrides:
    `doConnect` in class `AbstractTransportMessageHandler`
  Throws:
    `Exception`

### doStart

    protected void doStart()
                    throws MuleException

  Overrides:
    `doStart` in class `AbstractTransportMessageHandler`
  Throws:
    `MuleException`

### doStop

    protected void doStop()
                   throws MuleException

  Overrides:
    `doStop` in class `AbstractTransportMessageHandler`
  Throws:
    `MuleException`

### doDisconnect

    public void doDisconnect()
                      throws Exception

  Overrides:
    `doDisconnect` in class `AbstractTransportMessageHandler`
  Throws:
    `Exception`

### closeConsumer

    protected void closeConsumer()

### onMessage

    public void onMessage(Message message)

  Specified by:
    `onMessage` in interface `MessageListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.